#### Previous topic

scipy.cluster.hierarchy.dendrogram

#### Next topic

scipy.cluster.hierarchy.ClusterNode.get_count

# scipy.cluster.hierarchy.ClusterNode

class `scipy.cluster.hierarchy.``ClusterNode`(id, left=None, right=None, dist=0, count=1)

  A tree node class for representing a cluster.

  Leaf nodes correspond to original observations, while non-leaf nodes correspond to non-singleton clusters.

  The `to_tree` function converts a matrix returned by the linkage function into an easy-to-use tree representation.

  All parameter names are also attributes.

  Parameters:

  id : int

  > The node id.

  left : ClusterNode instance, optional

  > The left child tree node.

  right : ClusterNode instance, optional

  > The right child tree node.

  dist : float, optional

  > Distance for this cluster in the linkage matrix.

  count : int, optional

  > The number of samples in this cluster.

  See also

  `to_tree`
    for converting a linkage matrix `Z` into a tree object.

  Methods

  `get_count`() | The number of leaf nodes (original observations) belonging to the cluster node nd.
  `get_id`() | The identifier of the target node.
  `get_left`() | Return a reference to the left child tree object.
  `get_right`() | Returns a reference to the right child tree object.
  `is_leaf`() | Returns True if the target node is a leaf.
  `pre_order`([func]) | Performs pre-order traversal without recursive function calls.